#ifndef __DEFINES_H__
#define __DEFINES_H__

/* List of definitions. */
#define TRUE 1
#define FALSE 0

#define MAXSATELLITES 32
#define MAXCHANNELS 12           //Maximum number of channels per record.


/* Constants for FSL read routines. */
#define SYNC_MSB 0x57000000UL
#define SYNC_MSB_BYTE 0x57
#define SYNC_MASK 0x00FFFFFFUL
#define FLAG_MASK 0x00FF

#define UNDEFINED 0xFFFFFFFFUL   //Value for undefined TIC numbers.
#define TICS_IN_DAY 864000UL
#define TICS_IN_HOUR 36000UL
#define TICS_IN_MINUTE 600UL
#define TICS_IN_SECOND 10.0

#define SECONDS_IN_WEEK 604800.0
#define SECONDS_IN_DAY 86400.0
#define SECONDS_IN_HOUR 3600.0
#define SECONDS_IN_MINUTE 60.0

#endif
